Subject: Re: Some comments about Unicode

From: Dominic Dunlop <[email-masked]>
Date: Wed, 27 Mar 91 08:33:51 GMT

Stavros,

> Thanks for the information on search algorithms for strings with
> floating diacritics.

No problem.  Only regret that I could not provide harder
information.

Coincidentally, I received the following yesterday.  It may be of
interest to you and to those on the mail lists that I am copying.
I shall post information about precise time and venue when they come my
way.  (Any non-UKUUG/EurOpen members who attend are liable to have their
arms twisted about joining...)

[From "Andrew Hume Seminar 15th April" dated Mar 26]
> 
> Andrew Hume, a research worker in the Computer Science Research Group at
> Bell Labs (where Phil Winterbottom has gone) is in the UK in April.  He
> would  be willing to give a Seminar in our Department and so I wanted to
> find out if there is sufficient interest before I take up his offer.  If
> you are likely to come along, please email me. Andrew would like to talk
> on Monday 15th April, which is the week before term begins.
> 
> Regards, Sunil [Sunil Das, Chair of the UK UNIX systems User Group,
> <[email-masked]>]
> 
> ------------------------------------------------------------------------
> 
>                    Fast String Searching
> 
>                         Andrew Hume
> 
> 		AT&T Bell Research Laboratories
> 			Murray Hill
> 			New  Jersey
> 			   USA
> 
>                           ABSTRACT
> 
>           Since its description in 1977, the  practical
>      string  search literature has used the Boyer-Moore
>      algorithm as its touchstone.  Yet  this  yardstick
>      compares badly with current practice.  We describe
>      two variants of Boyer-Moore that perform about 35%
>      fewer  comparisons  and  run  nearly twice as fast
>      across a wide  range  of  architectures  and  com-
>      pilers.
> 
>           These new variants are members of a family of
>      algorithms based on the skip loop structure of the
>      previously neglected fast form of Boyer-Moore.  We
>      present a taxonomy for this family, and describe a
>      toolkit of components that can be used  to  design
>      an  algorithm  most appropriate for a given set of
>      requirements.
> 
>      (This is  joint  work  with  Dan  Sunday  of  John
>      Hopkins/APL.)
> 
>                        March 26, 1991
> 
> ------------------------------------------------------------------------
> 
> Andrew Hume wrote `prof' to put `troff' output  onto  your  screen  (8th
> Edition  UNIX),  parts  of  the  UNIX Circuit Design System (9th Edition
> UNIX), `mk' to supplant `make', and a remote `backup' service (V9).   He
> has worked on speeding up the `grep' family of programs in a paper named
> `Grep Wars' given at an EUUG Conference organised by Sunil Das.
> 
> ------------------------------------------------------------------------

The paper is also to be submitted for presentation at a future USENIX
conference.

-- 
Dominic Dunlop